searchNodes=[{"doc":"This module provides functions to report any kind of exception to Airbrake or Errbit . Airbrake.report/2 can be used to report directly to Airbrake.io. Airbrake.Plug and Airbrake.Channel can be used to automatically report errors from controllers or channels. See README for configuration and usage instructions.","ref":"Airbrake.html","title":"Airbrake","type":"module"},{"doc":"Monitor exceptions in the target process. If you don't want system-wide monitoring, but would like to monitor one specific process, then you could use Airbrake.monitor/1 Examples: With a given PID: Airbrake . monitor ( pid ) With a registered process: Airbrake . monitor ( Registered.Process.Name ) With spawn/1 and its counterparts: spawn ( fn -&gt; :timer . sleep ( 500 ) String . upcase ( nil ) end ) |&gt; Airbrake . monitor","ref":"Airbrake.html#monitor/1","title":"Airbrake.monitor/1","type":"function"},{"doc":"Send a report to Airbrake about given exception. exception could be Exception.t or a keywords list with two keys :type &amp; :message options is a keywords list with following keys: :params - use it to pass request params :context - use it to pass detailed information about the exceptional situation :session - use it to pass info about user session :env - use it to pass environment variables, headers and so on :stacktrace - use it when you would like send something different than System.stacktrace This function will always return :ok right away and perform the reporting of the given exception in the background. Examples Exceptions can be reported directly: Airbrake . report ( ArgumentError . exception ( &quot;oops&quot; ) ) #=&gt; :ok Often, you'll want to report something you either rescued or caught. For rescued exceptions: try do raise ArgumentError , &quot;oops&quot; rescue exception -&gt; Airbrake . report ( exception ) # You can also reraise the exception here with reraise/2 end For caught exceptions: try do throw ( :oops ) # or exit(:oops) catch kind , value -&gt; Airbrake . report ( [ type : kind , message : inspect ( value ) ] ) end Using custom data: Airbrake . report ( [ type : &quot;DebugInfo&quot; , message : &quot;Something went wrong&quot; ] , context : %{ moon_phase : &quot;eclipse&quot; } )","ref":"Airbrake.html#report/2","title":"Airbrake.report/2","type":"function"},{"doc":"Reports errors encountered on a channel. def YourApp.Web do # ... def channel do quote do use Phoenix.Channel use Airbrake.Channel # ... end end # ... end See the README for configuration options.","ref":"Airbrake.Channel.html","title":"Airbrake.Channel","type":"module"},{"doc":"This module provides the ability to monitor workers of your gen.servers, just write use Airbrake.GenServer instead of use GenServer and any time when GenServer would be terminated for a some reason you will know about it. Could be used in case when you don't want a system-wide reporting.","ref":"Airbrake.GenServer.html","title":"Airbrake.GenServer","type":"module"},{"doc":"Implements a set of reporting rules based on process termination reason. Could be overridden if you want to.","ref":"Airbrake.GenServer.html#handle_terminate/2","title":"Airbrake.GenServer.handle_terminate/2","type":"function"},{"doc":"Reports any error encountered in the plug pipeline. To use this plug, add it to your router: defmodule YourApp.Router do use Phoenix.Router use Airbrake.Plug # ... end See the README for configuration options.","ref":"Airbrake.Plug.html","title":"Airbrake.Plug","type":"module"},{"doc":"Capture exceptions and send them to Airbrake or to your Errbit installation. This library was originally forked from the airbrake Hex package. Development and support for that library seems to have lapsed, but we (the devs at CityBase ) had changes and updates we wanted to make. So we decided to publish our own fork of the library.","ref":"readme.html","title":"Airbrake Client","type":"extras"},{"doc":"Add airbrake_client to your dependencies: defp deps do [ { :airbrake_client , &quot;~&gt; 0.10&quot; } ] end Migrating from airbrake If you are switching from the original airbrake library: Replace the :airbrake dependency with the :airbrake_client dependency above. You may want to start with version ~&gt; 0.8.0 for maximum backwards compatibility. Remove the airbrake dependency in your lockfile. Command: mix deps.unlock --unused If the dependency remains in the lockfile, check all of your apps and all of your dependencies. Update your config/*.exs files to configure :airbrake_client instead of :airbrake . A search-and-replace-in-project on config :airbrake can work really well. When you run your project(even running the tests), you should get a complaint if you're still configuring :airbrake .","ref":"readme.html#installation","title":"Airbrake Client - Installation","type":"extras"},{"doc":"config :airbrake_client , api_key : System . get_env ( &quot;AIRBRAKE_API_KEY&quot; ) , project_id : System . get_env ( &quot;AIRBRAKE_PROJECT_ID&quot; ) , environment : Mix . env ( ) , filter_parameters : [ &quot;password&quot; ] , filter_headers : [ &quot;authorization&quot; ] , host : &quot;https://api.airbrake.io&quot; # or your Errbit host config :logger , backends : [ { Airbrake.LoggerBackend , :error } , :console ] Required configuration arguments: :api_key - (binary) the token needed to access the Airbrake API . You can find it in User Settings . :project_id - (integer) the id of your project at Airbrake. Optional configuration arguments: :environment - (binary or function returning binary) the environment that will be attached to each reported exception. :filter_parameters - (list of binaries) allows to filter out sensitive parameters such as passwords and tokens. :filter_headers - (list of binaries) filters HTTP headers. :host - (binary) the URL of the HTTP host; defaults to https://api.airbrake.io . :ignore - (MapSet of binary or function returning boolean or :all) allows to ignore some or all exceptions. See examples below. :options - (keyword list or function returning keyword list) values that are included in all reports to Airbrake.io. See examples below. Ignoring some exceptions To ignore some exceptions use the :ignore config key. The value can be a MapSet : config :airbrake_client , ignore : MapSet . new ( [ &quot;Custom.Error&quot; ] ) The value can also be a two-argument function: config :airbrake_client , ignore : fn type , message -&gt; type == &quot;Custom.Error&quot; &amp;&amp; String . contains? ( message , &quot;silent error&quot; ) end Or the value can be the atom :all to ignore all errors (and effectively turning off all reporting): config :airbrake_client , ignore : :all Shared options for reporting data to Airbrake If you have data that should always be reported, they can be included in the config with the :options key. Its value should be a keyword list with any of these keys: :context , :params , :session , and :env . config :airbrake_client , options : [ env : %{ &quot;SOME_ENVIRONMENT_VARIABLE&quot; =&gt; &quot;environment variable&quot; } ] Alternatively, you can specify a function (as a tuple) which returns a keyword list (with the same keys): config :airbrake_client , options : { Web , :airbrake_options , 1 } The function takes a keyword list as its only parameter; the function arity is always 1.","ref":"readme.html#configuration","title":"Airbrake Client - Configuration","type":"extras"},{"doc":"Phoenix app defmodule YourApp.Router do use Phoenix.Router use Airbrake.Plug # &lt;- put this line to your router.ex # ... end def channel do quote do use Phoenix.Channel use Airbrake.Channel # &lt;- put this line to your web.ex # ... Report an exception try do String . upcase ( nil ) rescue exception -&gt; Airbrake . report ( exception ) end GenServer Use Airbrake.GenServer instead of GenServer : defmodule MyServer do use Airbrake.GenServer # ... end Any Elixir process By pid: Airbrake . monitor ( pid ) By name: Airbrake . monitor ( Registered.Process.Name )","ref":"readme.html#usage","title":"Airbrake Client - Usage","type":"extras"},{"doc":"The Elixir apps defined in integration_test_apps are used for testing different dependency scenarios. If you make changes to the way jason or poison is used this library, you should consider adding tests to those apps.","ref":"readme.html#integration-apps","title":"Airbrake Client - Integration Apps","type":"extras"},{"doc":"","ref":"changelog.html","title":"Changelog for v0.x","type":"extras"},{"doc":"[Airbrake.Plug] Exposes handle_errors/2 as private Fixes credo warnings","ref":"changelog.html#v0-11-0-2022-12-05","title":"Changelog for v0.x - v0.11.0 (2022-12-05)","type":"extras"},{"doc":"[Airbrake.Payload] Support logging structs in payload. [Airbrake.Payload] Filter atom keys from maps in payload.","ref":"changelog.html#v0-10-0-2021-07-14","title":"Changelog for v0.x - v0.10.0 (2021-07-14)","type":"extras"},{"doc":"Enhancements [Airbrake] Updates default URL to https://api.airbrake.io . Bug fixes [Airbrake] Add :filter_headers option to filter HTTP headers included in :environment . [Airbrake.Payload] Conditionally derive Jason.Encoder if Jason.Encoder is defined (i.e., jason is a dependency). [Airbrake.Payload] Add fields context , environment , params , and session to Airbrake.Payload . [Airbrake.Worker] Generate a useable stacktrace when one isn't provided in the options.","ref":"changelog.html#v0-9-1-2021-06-08","title":"Changelog for v0.x - v0.9.1 (2021-06-08)","type":"extras"},{"doc":"Fixes deprecations and improves testing. Enhancements [Airbrake.Worker] Abstract HTTP client for better testing using mox . [Airbrake.Worker] Add tests. [Airbrake.LoggerBackend] Add tests. [Airbrake.LoggerBackend] Use @behaviour :gen_event instead of use GenEvent . [mix.exs] Start dependency applications automatically. Bug fixes [Airbrake.Channel] Use __STACKTRACE__ instead of deprecated System.stacktrace() . [Airbrake.Worker] Use Process.info(self(), :current_stacktrace) instead of deprecated System.stacktrace() . [Airbrake] Use child spec instead of deprecated Supervisor.Spec.worker/1.","ref":"changelog.html#v0-9-0-2021-06-04","title":"Changelog for v0.x - v0.9.0 (2021-06-04)","type":"extras"},{"doc":"Renames the app to :airbrake_client . Bug fixes [mix.exs] Renames the app to :airbrake_client so that starting the app for this library is more natural.","ref":"changelog.html#v0-8-2-2021-06-03","title":"Changelog for v0.x - v0.8.2 (2021-06-03)","type":"extras"},{"doc":"Quick documentation fix. Bug fixes [README.md] Use correct case when linking to readme.html .","ref":"changelog.html#v0-8-1-2021-06-02","title":"Changelog for v0.x - v0.8.1 (2021-06-02)","type":"extras"},{"doc":"The first official release of airbrake_client (forked and disconnected from airbrake ). Enhancements [README.md] Update for new maintainers and better instructions.","ref":"changelog.html#v0-8-0-2021-06-02","title":"Changelog for v0.x - v0.8.0 (2021-06-02)","type":"extras"},{"doc":"The CityBase fork of airbrake had a v0.7.0 release , available only through GitHub. Versions 0.6.x are available as the original airbrake library.","ref":"changelog.html#previous-versions","title":"Changelog for v0.x - Previous versions","type":"extras"}]